#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>


#define OLED_MOSI   9
#define OLED_CLK   10
#define OLED_DC    11
#define OLED_CS    12
#define OLED_RESET 13
Adafruit_SSD1306 display(OLED_MOSI, OLED_CLK, OLED_DC, OLED_RESET, OLED_CS);



#if (SSD1306_LCDHEIGHT != 64)
#error("Height incorrect, please fix Adafruit_SSD1306.h!");
#endif


int licznik=0 ;
int czy_otwarte = 0;
int ostatni_stan = 0;


void otwarcie_drzwi()
{
  if (ostatni_stan==0 && (digitalRead(2)==1))
  {
    licznik++;
    ostatni_stan =1;
    czy_otwarte = 1;
  }
  else if (ostatni_stan==1 && (digitalRead(2)==0))
  {
    ostatni_stan = 0;
    czy_otwarte = 0;
  }
  
  
}


void setup() {
 

  display.begin(SSD1306_SWITCHCAPVCC);


}

void loop() {

  otwarcie_drzwi();
  
  String tekst_OLED ="";
  String tekst_OLED2 ="";
  
  
  tekst_OLED += String(licznik);

  if (czy_otwarte==1)
  {
    tekst_OLED2+="OTWARTE";
  }
  else
  {
    tekst_OLED2+="ZAMKNIETE";
  }
  
  display.setTextSize(1);
   display.setTextColor(WHITE);
  display.setCursor(0,0);
  display.println("  MIKROKONTROLER.PL   " );
  
  display.setCursor(0,18);
  display.setTextSize(2);
  display.setTextColor(WHITE);
  display.println("Licznik: ");
  display.println(tekst_OLED);
  
  
 
  display.setTextSize(2);
  display.setTextColor(WHITE);
  display.println(tekst_OLED2);
  display.display();
 
  
  
  display.clearDisplay();
  
  
}
